:root {
  font-size: 16px;
  --black: #000;
  --blue: #3e74d8;
  --light-blue: #b9dbfe;
  --pink: hotpink;
  --lighter-pink: #ffabda;
  --darker-pink: #fc2ba0;
  --purple: #431b78;
  --white: #efefef;
}

@font-face {
  font-family: "Caprasimo";
  src: url("./Caprasimo-Regular.ttf");
}

@font-face {
  font-family: "Dongle";
  src: url("./Dongle-Regular.ttf");
}

@font-face {
  font-family: "HappyTalk";
  src: url("./HappyTalk.otf");
}

body {
  background-attachment: fixed;
  background-color: var(--purple);
  background-image: url("./website_tile.png");
  background-repeat: repeat-x;
  background-size: auto 100vh;
  min-height: 100vh;
  font-family: "Dongle", "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 2rem;
  margin: 0;
}

a {
  color: inherit;
  text-decoration: none;
}
a:hover,
a:active,
nav a:hover,
nav a:active {
  color: var(--white);
}

button {
  background-color: var(--purple);
  border: none;
  border-radius: 4px;
  color: var(--white);
  display: flex;
  font-size: 16px;
  margin: 0px auto;
  padding: 10px;
}

button:hover,
button a:hover {
  color: var(--darker-pink);
}

.newsletter-btn {
  font-family: "Dongle", "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 2rem;
  margin: 53px auto 53px auto;
  text-align: center;
}

h3 {
  font-size: 3rem;
  line-height: 1;
  margin: 20px auto 10px auto;
}

h4 {
  line-height: 1;
  margin: 0px 0px 0px 20px;
}

p {
  margin: 8px;
}

h3 + p,
h4 + p {
  margin: 0px 10px 20px 20px;
}

.logo-text {
  font-family: "HappyTalk", "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

.nav-bar-left-side {
  align-items: baseline;
  display: flex;
  gap: 20px;
}

.pigcon-sub-nav-bar {
  align-items: baseline;
  background-color: var(--darker-pink);
  color: var(--black);
  display: inline-flex;
  gap: 20px;
  justify-content: space-between;
  padding: 10px 20px;
  position: sticky;
  top: 0;
  width: calc(100% - 40px);
  z-index: 100;
}

.pigcon-hamburger-menu {
  display: none;
  flex-direction: column;
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
}

.pigcon-hamburger-menu span {
  width: 25px;
  height: 3px;
  background: var(--purple);
  margin: 3px 0;
  transition: 0.3s;
}

.pigcon-nav-links,
.pigcon-nav-links a {
  color: var(--black);
  font-family: "Caprasimo", "Segoe UI", sans-serif;
  font-size: 1.5rem;
  text-decoration: none;
}

.pigcon-sub-nav-bar .big {
  font-size: 3rem;
  font-weight: bold;
}

.pigcon-hidden {
  display: none;
}

.content-section {
  margin: 0 auto 106px auto;
  max-width: min(650px, 100% - 40px);
  scroll-margin-top: 8rem;
}

.content-section-body {
  background-color: var(--white);
  border-radius: 8px;
  font-family: "Dongle";
  line-height: 1.3;
  padding: 1rem 53px;
}

.content-section header {
  display: flex;
  justify-content: center;
  text-align: center;
}

.content-section header .section-name,
.huge-text {
  color: var(--lighter-pink);
  font-family: "Caprasimo";
  font-size: 4rem;
  margin-bottom: 35px;
  max-width: min(700px, 100% - 40px);
}

.huge-text {
  font-size: 2.5rem;
  font-weight: normal;
  margin: 35px auto;
  max-width: min(800px, 100% - 40px);
  text-align: center;
}

.pigcon-logo-and-announce-carousel {
  display: flex;
  gap: 45px;
  justify-content: center;
  margin: 20px 40px;
  flex-wrap:  wrap;
  align-items: center;
}

.announce-carousel-container {
  width: 66%;
}

.pigcon-big-logo {
  flex: 0 0 auto;
  max-width: calc(100% - 20px);
  width: 33.333%;
  padding-bottom: 0;
  width: auto;
}

.pigcon-carousel {
  position: relative;
  margin: 20px auto;
  overflow: hidden;
  width: auto;
}

.pigcon-carousel-section {
  margin-bottom: 3rem;
  margin-top: 0;
  padding: 0 1rem;
}

.carousel-track {
  align-items: center;
  display: flex;
  gap: 35px;
  height: 40vh;
  margin: 2rem 0;
  margin-inline: auto;
  overflow-x: auto;
  padding: 0 3rem;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  scroll-padding: 2rem;
  max-width: min(1200px, 100% - 40px);
  scrollbar-width: none; /* hides the redundant horizontal scrollbar beneath the track */
}

.pigcon-carousel-section .carousel-track > img {
  flex: 0 0 auto;
  width: 33.333%;
  height: 100%;
  object-fit: contain;
  scroll-snap-align: start;
}

.announce-carousel-container .carousel-track {
  height: 100%;
  margin: 0 80px;
  scroll-padding: 35px;
}

.announce-carousel-container .pigcon-carousel {
  margin-left: 0;
}

.announce-carousel-container .carousel-track .announce-card {
  align-items: end;
  color: var(--lighter-pink);
  flex: 0 0 50%;
  justify-content: space-between;
  scroll-snap-align: start;
  text-align: center;
  line-height: 1;
}

.announce-carousel-container .carousel-track .announce-card img{
  border: 10px solid var(--white);
  max-width: 100%;
}

.carousel-btn {
  border: none;
  height: 48px;
  position: absolute;
  top: 50%;
  width: 48px;
  transform: translateY(-50%);
  background: var(--blue);
  color: var(--light-blue);
  border: none;
  border-radius: 0.25rem;
  font-size: 64px;
  cursor: pointer;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Dongle";
  padding-top: 10px;
}

.carousel-btn:hover {
  filter: brightness(1.5);
}

.prev {
  left: 0;
}

.next {
  right: 0;
}

.socials {
  text-align: end;
}

.socials img {
  display: inline-block;
  height: 1.2em;
  margin: 0 10px;
  vertical-align: middle;
}

footer {
  align-items: center;
  background-color: var(--purple);
  color: var(--white);
  padding: 20px;
  display: flex;
  justify-content: space-between;
}

footer > * {
  width: 33%;
}

footer > span {
  text-align: center;
}

footer a {
  color: var(--lighter-pink);
  text-decoration: dotted;
  text-decoration-line: underline;
  text-decoration-thickness: from-font;
}

footer button a {
  text-decoration: none;
}

#pigcon-games.content-section {
  max-width: calc(100% - 40px);
}

.games-section-body {
  color: var(--lighter-pink);
  display: flex;
  flex-wrap: wrap;
  font-weight: 400;
  gap: 45px;
  justify-content: center;
  text-align: center;
  max-width: calc(100% - 40px);
}

.game-card img{
  border: 14px solid var(--white);
  border-radius: 8px;
  height: 162px;
  margin: 10px 0;
  width: 162px;
}

.game-card .name {
  font-family: "Caprasimo";
  font-size: 1.5rem;
  text-align: center;
}

/* phones */
@media (max-width: 481px) {
  .pigcon-carousel-section .carousel-track > img {
    flex: 0 0 100% !important;
  }
  
    .announce-carousel-container .carousel-track{
      scroll-padding: 1rem;
  }
  
  .announce-carousel-container .carousel-track .announce-card {
    flex: 0 0 100% !important;
  }
  
  .announce-carousel-container {
    width: 100%;
  }
  
  .socials {
    text-align: center;
    width: 100%;
  }

}

/* tablets */
@media (481px <= width <= 811px) {
  .huge-text {
    font-size: 3rem;
  }
  
  .announce-carousel-container .carousel-track .announce-card {
    border: 10px solid var(--white);
    flex: 0 0 50%;
  }
  
  .pigcon-carousel-section .pigcon-carousel .carousel-track > img {
    flex: 0 0 50%;
  }
}

/* phones and tablets */
@media (max-width: 811px) {
  .nav-bar-left-side {
    gap: 6px;
    flex-wrap: wrap;
    font-size: 1.5rem;
    line-height: 0.75;
    max-width: calc(100% - 50px);
  }

  .pigcon-sub-nav-bar {
    flex-wrap: wrap;
  }

  .pigcon-hamburger-menu {
    display: flex;
    position: absolute;
    top: 20px;
    right: 20px;
  }

  .pigcon-nav-links {
    display: none;
    width: 100%;
    flex-direction: column;
    text-align: center;
    margin-top: 1rem;
  }

  .pigcon-nav-links.active {
    display: flex;
  }

  .pigcon-nav-links a {
    display: block;
    padding: 0.5rem 0;
  }

  .pigcon-nav-links-separator {
    display: none;
  }
  
  .pigcon-logo-and-announce-carousel {
    justify-content: center;
  }
  
  .announce-carousel-container {
    margin: 0 20px;
    width: 100%;
  }
  
  .announce-carousel-container .pigcon-carousel {
    margin: 0;
  }

  .announce-carousel-container .carousel-track {
    margin: 10px 0;  
  }
  
  .announce-carousel-container .carousel-track .announce-card {
    border: 0;
    max-width: 100%;
    background-position: center;
  }
  
  .carousel-track {
    height: unset;
    max-height: 40vh;
    padding: 1rem;
    scroll-padding: 1rem;
  }
  
  .content-section {
    margin: 0 auto 3rem auto;
  }

  .content-section header .section-name {
    font-size: 4rem;
  }

  footer {
    flex-wrap: wrap;
    font-size: 1.5rem;
    line-height: 0.75;
  }

}




